import '../../stencil.core';
export declare class Dialog {
    dialogConfirmCallback: any;
    host: Element;
    index: number;
    confirmLabel: string;
    cancelLabel: string;
    continueLabel: string;
    allowClose: boolean;
    getOptions(): {
        confirmLabel: string;
        cancelLabel: string;
        continueLabel: string;
        allowClose: boolean;
        disableCloseBtn: boolean;
        enableHTML: boolean;
        hostElement: Element;
    };
    popup(options?: {}): Promise<void>;
    notice(msg?: string, options?: {}): Promise<void>;
    alert(msg?: string, options?: {}): Promise<void>;
    confirm(msg?: string, calllback?: () => void, options?: {}): Promise<void>;
    setConfirmHandler(callBackHandler: any): Promise<void>;
    dialogConfirmHandler(): void;
    render(): JSX.Element;
}
